# Class MolstarModelMapManager<L>

#### Type Parameters

- #### L

#### Hierarchy

- MolstarModelMapManager

#### Implements

- ViewerModelMapManagerInterface<{
  loadMethod: LoadMethod;
  loadParams: LoadParams;
  }, L>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:18

#####
Index

### Constructors

constructor

### Properties

delegateModelIdFromTrajectory
modelMap
viewer

### Methods

add
delete
getChains
getModelId
getModelIdFromTrajectory
map

## Constructors

### constructor

- new MolstarModelMapManager<L>(viewer, delegateModelIdFromTrajectory): MolstarModelMapManager<L>

- #### Type Parameters

  - #### L

  #### Parameters

  - ##### viewer: Viewer

  - ##### delegateModelIdFromTrajectory: ((trajectory) => undefined | string)

    - - (trajectory): undefined | string

      - #### Parameters

        - ##### trajectory: L

        #### Returns undefined | string

  #### Returns MolstarModelMapManager<L>

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:24

## Properties

### `Private` `Readonly` delegateModelIdFromTrajectory

delegateModelIdFromTrajectory: ((trajectory) => undefined | string)

#### Type declaration

- - (trajectory): undefined | string

  - #### Parameters

    - ##### trajectory: L

    #### Returns undefined | string

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:22

### `Private` `Readonly` modelMap

modelMap: Map<string, undefined | string> = ...

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:21

### `Private` `Readonly` viewer

viewer: Viewer

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:20

## Methods

### add

- add(lC, trajectory): void

- #### Parameters

  - ##### lC: {
    loadMethod: LoadMethod;
    loadParams: LoadParams;
    }

    - ##### loadMethod: LoadMethod

    - ##### loadParams: LoadParams

  - ##### trajectory: L

  #### Returns void

  Implementation of ViewerModelMapManagerInterface.add

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:29

### delete

- delete(lC): void

- #### Parameters

  - ##### lC: {
    loadMethod: LoadMethod;
    loadParams: LoadParams;
    }

    - ##### loadMethod: LoadMethod

    - ##### loadParams: LoadParams

  #### Returns void

  Implementation of ViewerModelMapManagerInterface.delete

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:33

### getChains

- getChains(): SaguaroPluginModelMapType

- #### Returns SaguaroPluginModelMapType

  Implementation of ViewerModelMapManagerInterface.getChains

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:40

### getModelId

- getModelId(id): string

- #### Parameters

  - ##### id: string

  #### Returns string

  Implementation of ViewerModelMapManagerInterface.getModelId

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:53

### getModelIdFromTrajectory

- getModelIdFromTrajectory(trajectory): undefined | string

- #### Parameters

  - ##### trajectory: L

  #### Returns undefined | string

  Implementation of ViewerModelMapManagerInterface.getModelIdFromTrajectory

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:57

### `Private` map

- map(loadParams, trajectory): void

- #### Parameters

  - ##### loadParams: LoadParams

  - ##### trajectory: L

  #### Returns void

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarModelMapManager.ts:61

Generated using TypeDoc